Imports System.Windows.Media
Imports System.Windows.Media.Animation

Public Class tileexcel
    Private player36 As New MediaPlayer()

    Private Sub UserControl_Loaded(sender As Object, e As RoutedEventArgs)
        Try
            My.Settings.Reload()
        Catch

            My.Settings.mecolor = "#19A2DE"

            Dim bluecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            excxltlt.Background = New System.Windows.Media.SolidColorBrush(bluecolor)
        End Try



        Dim exceltiletimer = New System.Windows.Threading.DispatcherTimer()
        AddHandler exceltiletimer.Tick, AddressOf exceltiletimer_Tick
        exceltiletimer.Interval = New TimeSpan(0, 0, 1)
        exceltiletimer.Start()
    End Sub

    Private Sub exceltiletimer_Tick(sender As Object, e As EventArgs)
        Try
            Dim mytilecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            excxltlt.Background = New System.Windows.Media.SolidColorBrush(mytilecolor)
        Catch
        End Try
    End Sub

    Private Sub UserControl_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        PlayAccentSound()
        Process.Start("https://excel.cloud.microsoft/")
    End Sub


    Private Sub PlayAccentSound()
        Try
            player36.Volume = 1.0
            player36.Open(New Uri("beltonen/wp7_pressed.mp3", UriKind.Relative))
            player36.Play()
        Catch ex As Exception
            MessageBox.Show("Error playing sound: " & ex.Message)
        End Try
    End Sub

End Class
